// Task 1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Цикли - це спосіб зробити одну дію декілька разів, за їх допомогою можна максимально оптимізувати код (тобто наприклад замість того, щоб писати одну й ту саму дію незлічену кількість разів, можна записати один раз в цикл і він повторить цю дію стільки разів, скільки нам потрібно) 


// Task 2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// Цикл "for" використовується тоді, коли ми знаємо точну кількість разів необхідної для нас дії.
// Цикл "while" існує для тих випадків, коли ми можемо поставити конкретну умову і цей цикл буде виконуватись до моменту невиконання цієї умови (наприклад, виводити модальне вікно з введенням числа доти, доки користувач не введе число, як тільки число буде введене, цикл скінчиться. якщо число було введене одразу, то цикл навіть не розпочинатиметься) 
// Цикл "do...while" відрізняється від "while" тим, що він виконається мінімум один раз, навіть якщо умова ніколи не буде вірною.
// Також цикл може бути нескінченим, в тому випадку, якщо умова буде істиною завжди, в такому разі ми використовуємо управління циклом (break - повністю завершує цикл, continue - дає змогу перейти на іншу операцію циклу)


// Task 3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
//Неявне перетворення типів - це автоматиматична зміна типу з одного в інший (Наприклад, зі строки в число, об'єкта в логічне значення та ін.). Як приклад можна використати цей вираз '12 / "6"'.В даному випадку "6", хоч і є рядком, але перетвориться на число і дасть вірний результат.
// Явне перетворення типів - це коли ми приводимо з одного типу даних до іншого спеціально за допомогою конструкції Boolean(), Number(), !!() та ін.


let userNumber = prompt("Enter your number");

if (userNumber < 5) {
    console.log("Sorry, no numbers:c");
}

for (let i = 5; i < userNumber; i += 5) {
    console.log(i);
}



